Package org.eclipse.swt.accessibility

## Class AccessibleAttributeAdapter

- java.lang.Object
- - org.eclipse.swt.accessibility.AccessibleAttributeAdapter

All Implemented Interfaces:
  `AccessibleAttributeListener`

    public class AccessibleAttributeAdapter
    extends java.lang.Object
    implements AccessibleAttributeListener

This adapter class provides default implementations for the methods in the `AccessibleAttributeListener` interface.

Classes that wish to deal with `AccessibleAttribute` events can extend this class and override only the methods that they are interested in.

Since:
  1.4
See Also:
  `AccessibleAttributeListener`, `AccessibleAttributeEvent`, `AccessibleTextAttributeEvent`

### Constructor Summary

Constructors
`AccessibleAttributeAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `getAttributes​(AccessibleAttributeEvent e)` Returns attributes specific to this Accessible object.
`void` `getTextAttributes​(AccessibleTextAttributeEvent e)` Returns text attributes specific to this Accessible object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccessibleAttributeAdapter

    public AccessibleAttributeAdapter()

### Method Detail

#### getAttributes

    public void getAttributes​(AccessibleAttributeEvent e)

Returns attributes specific to this Accessible object.

Specified by:
  `getAttributes` in interface `AccessibleAttributeListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] topMargin - the top margin in pixels
  - [out] bottomMargin - the bottom margin in pixels
  - [out] leftMargin - the left margin in pixels
  - [out] rightMargin - the right margin in pixels
  - [out] tabStops - an array of pixel locations
  - [out] justify - whether or not to justify the text
  - [out] alignment - one of `SWT#LEFT`, `SWT#RIGHT` or `SWT#CENTER`
  - [out] indent - the indent in pixels
  - [out] attributes - an array of alternating key and value Strings which represent additional (i.e. non predefined) attributes

#### getTextAttributes

    public void getTextAttributes​(AccessibleTextAttributeEvent e)

Returns text attributes specific to this Accessible object.

Specified by:
  `getTextAttributes` in interface `AccessibleAttributeListener`
Parameters:
  `e` - an event object containing the following fields:
  - [in] offset - the 0 based text offset for which to return attribute information
  - [out] start - the 0 based starting offset of the character range over which all text attributes match those of offset
  - [out] end - the 0 based offset after the last character of the character range over which all text attributes match those of offset
  - [out] textStyle - the TextStyle of the character range
  - [out] attributes - an array of alternating key and value Strings that represent additional attributes that do not correspond to TextStyle fields